Story # 41031 (Resolved): Composer support for packaging

Status: Resolved Priority: Must have
Author: Christian Jul Jensen Category: Reflection
Created: 2012-09-17 Assigned To: Christian Jul Jensen
Updated: 2012-09-18 Due date:
Sprint:
PHP Version:
Has patch: Yes
Complexity: easy
Subject: Autoloader in ClassReflection is not unregistered if reached
Description

The autoloader in ClassReflection that throws an exception if reached - indicating that a file could not be properly loaded for reflection
- and thereby avoiding a fatal error, does not get unregistered if the situation occurs. Leaving the autoloader hanging. This causes
trouble if fx. a class_exists call is made for an non-existing class.

Associated revisions
Revision dfc34e54 - 2012-09-18 10:29 - Christian Jul Jensen

[BUGFIX] Make sure autoloader is always unregistered

ClassReflection adds an autoloader to catch cases of unresolved
classes. This autoloader needs to be unregistered reliably after
use.

Change-Id: Ic324e6a72ade81d7a36500315c42b1776f679ea4
Fixes: #40989
Releases: 1.2

History
#1 - 2012-09-17 11:58 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14654

#2 - 2012-09-17 12:26 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14654

#3 - 2012-09-17 14:24 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14654
#4 - 2012-09-18 10:31 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14654

#5 - 2012-09-18 10:35 - Christian Jul Jensen
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:dfc34e543391eab3aad5fd210eefe27050f2393a.

#6 - 2012-09-18 10:36 - Karsten Dambekalns
- Parent task set to #41031
